V1
Retrieve Themes
Use this endpoint to retrieve themes, along with the responses that are associated with each theme, from your studies.
GET
/
v1
/
themes
Retrieve Themes
curl --request GET \
--url https://api.sprig.com/v1/themes \
--header 'Authorization: <authorization>'import requests
url = "https://api.sprig.com/v1/themes"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.sprig.com/v1/themes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cursor": "string",
"data": [
{
"createdAt": "string",
"id": 0,
"questionId": 0,
"questionText": "string",
"questionType": "string",
"response": "string",
"responseGroupUid": "string",
"surveyId": 0,
"theme": "string",
"themeDescription": "string",
"updatedAt": "string",
"visitorId": 0
}
]
}{
"error": "<string>"
}Headers
Bearer YOUR_API_KEY
Query Parameters
The earliest creation data for a generated theme to return, represented as milliseconds from epoch time
The latest creation date for a generated theme to return, represented as milleseconds from epoch time
A Base64 encoded string representing an opaque cursor position
An integer id for a specific Survey
Was this page helpful?
⌘I
Retrieve Themes
